org.red5.server.messaging

## Class PipeConnectionEvent

- java.lang.Object
- - java.util.EventObject
  - - org.red5.server.messaging.PipeConnectionEvent

All Implemented Interfaces:
  Serializable

    public class PipeConnectionEvent
    extends EventObject

Event object corresponds to the connect/disconnect events among providers/consumers and pipes.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com)
See Also:
  Serialized Form

### Field Summary

Fields
`static int` `CONSUMER_CONNECT_PULL` A consumer connects as pull mode.
`static int` `CONSUMER_CONNECT_PUSH` A consumer connects as push mode.
`static int` `CONSUMER_DISCONNECT` A consumer disconnects.
`static int` `PROVIDER_CONNECT_PULL` A provider connects as pull mode.
`static int` `PROVIDER_CONNECT_PUSH` A provider connects as push mode.
`static int` `PROVIDER_DISCONNECT` A provider disconnects.

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`PipeConnectionEvent(Object source)` Construct an object with the specific pipe as the `source`

### Method Summary

Methods
`void` `addTask(Runnable task)` Add task to list
`IConsumer` `getConsumer()` Return pipe connection consumer
`Map<String,Object>` `getParamMap()` Return event parameters as Map
`IProvider` `getProvider()` Return pipe connection provider
`int` `getType()` Return event type
`void` `setConsumer(IConsumer consumer)` Setter for pipe connection consumer
`void` `setParamMap(Map<String,Object> paramMap)` Setter for event parameters map
`void` `setProvider(IProvider provider)` Setter for pipe connection provider
`void` `setType(int type)` Setter for event type

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PROVIDER_CONNECT_PULL

    public static final int PROVIDER_CONNECT_PULL

A provider connects as pull mode.

See Also:
  Constant Field Values

#### PROVIDER_CONNECT_PUSH

    public static final int PROVIDER_CONNECT_PUSH

A provider connects as push mode.

See Also:
  Constant Field Values

#### PROVIDER_DISCONNECT

    public static final int PROVIDER_DISCONNECT

A provider disconnects.

See Also:
  Constant Field Values

#### CONSUMER_CONNECT_PULL

    public static final int CONSUMER_CONNECT_PULL

A consumer connects as pull mode.

See Also:
  Constant Field Values

#### CONSUMER_CONNECT_PUSH

    public static final int CONSUMER_CONNECT_PUSH

A consumer connects as push mode.

See Also:
  Constant Field Values

#### CONSUMER_DISCONNECT

    public static final int CONSUMER_DISCONNECT

A consumer disconnects.

See Also:
  Constant Field Values

### Constructor Detail

#### PipeConnectionEvent

    public PipeConnectionEvent(Object source)

Construct an object with the specific pipe as the `source`

Parameters:
  `source` - A pipe that triggers this event.

### Method Detail

#### getProvider

    public IProvider getProvider()

Return pipe connection provider

Returns:
  Provider

#### setProvider

    public void setProvider(IProvider provider)

Setter for pipe connection provider

Parameters:
  `provider` - Provider

#### getConsumer

    public IConsumer getConsumer()

Return pipe connection consumer

Returns:
  Consumer

#### setConsumer

    public void setConsumer(IConsumer consumer)

Setter for pipe connection consumer

Parameters:
  `consumer` - Consumer

#### getType

    public int getType()

Return event type

Returns:
  Event type

#### setType

    public void setType(int type)

Setter for event type

Parameters:
  `type` - Event type

#### getParamMap

    public Map<String,Object> getParamMap()

Return event parameters as Map

Returns:
  Event parameters as Map

#### setParamMap

    public void setParamMap(Map<String,Object> paramMap)

Setter for event parameters map

Parameters:
  `paramMap` - Event parameters as Map

#### addTask

    public void addTask(Runnable task)

Add task to list

Parameters:
  `task` - Task to add